Subject: bug#28308: Build failure on FreeBSD/aarch64

From: Gergely Czuczy <[email-masked]>
Date: Sun, 5 Nov 2017 19:10:01 +0100

On 2017. 11. 05. 0:14, Noam Postavsky wrote:
> tags 28308 fixed
> close 28308 26.1
> quit
>
> Gergely Czuczy <[email-masked]> writes:
>
>> On 2017. 10. 31. 18:31, Noam Postavsky wrote:
>>> --- a/configure.ac
>>> +++ b/configure.ac
>>> @@ -2206,7 +2206,7 @@ AC_DEFUN
>>>    case "$opsys" in
>>>      ## darwin ld insists on the use of malloc routines in the System framework.
>>>      darwin | mingw32 | nacl | sol2-10) ;;
>>> -  cygwin) hybrid_malloc=yes
>>> +  freebsd | cygwin) hybrid_malloc=yes
>>>              system_malloc= ;;
>>>      *) test "$ac_cv_func_sbrk" = yes &&
>>> system_malloc=$emacs_cv_sanitize_address;;
> Oops, I had some line wrapping here.
>
>> So, the amd64 and the aarch64 builds have finished:
>> GNU Emacs 26.0.50 (build 1, amd64-portbld-freebsd11.0) of 2017-11-02
>> GNU Emacs 26.0.50 (build 1, aarch64-portbld-freebsd12.0) of 2017-11-02
>>
>> Both are functional.
> Thanks for testing.  If they report as 26.0.50 rather than 26.0.90 you
> may be applying to a somewhat old branch, but the dumping code has not
> been updated since then so it shouldn't be a problem.
>
>> Regarding updating the port, that's rather simple, you don't have to
>> update the whole OS or anything similar.
> I rather meant figuring out how to configure the network connection with
> qemu.
>
>> If this version will be the fix for the issue, could you please let me
>> know which commit has it? I would like to let the port's maintainer
>> know, so he can update the port in the master branch, fixing aarch64
>> support finally.
> I've cleaned up the gmalloc part of the patch a bit, and pushed to
> emacs-26, see 918a2dda07.
>
> [1: 918a2dda07]: 2017-11-04 18:49:28 -0400
>    Use hybrid malloc for FreeBSD (Bug#28308)
>    https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=918a2dda07ebf16601a93d0464f62c4e846d8b39

Thank you very much again for the help. I've notified the port 
maintainer, he'll soon update the port, and it'll work on again on aarch64.

Also, may I ask when the 26 release is planned?